<?php
session_start();

require('Uploader.php');

$upload_dir = '/temp_images/';
$new_name = uniqid('img_', true);

$uploader = new FileUpload('file');
$uploader->sizeLimit = 512000 * 4;

$ext = $uploader->getExtension();

if (empty($ext)) {
  exit(json_encode(array('success' => false, 'msg' => 'Invalid file type. Please select a PNG, JPG, or GIF image.')));	
}

$filename = $new_name.'.'.$ext;
$hashed_name = 'tmp'.md5($new_name).'.'.$ext; // store files as md5 hashes of their public names

$uploader->newFileName = $hashed_name;
$result = $uploader->handleUpload($upload_dir, array('gif', 'png', 'jpeg', 'jpg'));

if (!$result) {
  exit(json_encode(array('success' => false, 'msg' => $uploader->getErrorMsg())));  
}

$file = $uploader->getSavedFile();

$type = exif_imagetype($file);

if (!$type) {
  unlink($file);
  exit(json_encode(array('success' => false, 'msg' => 'Invalid file type. Please select a PNG, JPG, or GIF image.')));       
}

if ($type != IMAGETYPE_GIF &&
    $type != IMAGETYPE_JPEG && 
    $type != IMAGETYPE_PNG)
{
  // If not a GIF, JPEG, or PNG, delete and return an error message
  unlink($file);
  exit(json_encode(array('success' => false, 'msg' => 'Invalid file type. Please select a PNG, JPG, or GIF image.'))); 
}

echo json_encode(array('success' => true, 'file' => $filename));
